package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag111;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT111Creator;

/**
 * @author liusheng
 * @date 2023/2/27
 */
public class Tag59Creator extends AbsTagCreate {

    private MT111Creator mt111Creator;

    public Tag59Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.mt111Creator = (MT111Creator) absMTCreator;
    }

    @Override
    public void creator() {
        handlerBicAdrCreator(mt111Creator, "payee");
    }
}
